Once you've got the P4Java project synced to you're machine do the following:
	• Ensure you're using Java 8 
	Ensure you have the correct repositories in your maven settings.xml file, stored in your .m2 directory

To install java 8 on linux:
	• sudo add-apt-repository ppa:webupd8team/java
	• sudo apt-get update
	• sudo apt-get install oracle-java8-installer
	• sudo update-alternatives --config java

To add the repositories to your settings.xml file, add these profiles to your file if they don't already exist:
        
        <!-- MavenCentral release p4java -->
        <profile>
            <id>p4mavencentral</id>
            <activation>
                <property>
                    <name>p4mavencentral</name>
                </property>
            </activation>
            <repositories>
                <repository>
                    <id>release</id>
                    <url>http://artifactory.bnr.perforce.com:8081/artifactory/release</url>
                </repository>
            </repositories>
            <properties>
                <gpg.executable>gpg2</gpg.executable>
                <gpg.homedir>${user.home}/.gnupg_p4mavencentral</gpg.homedir>
                <gpg.keyname>p4mavencentral@perforce.com</gpg.keyname>
                <gpg.passphrase>iw2r2mc!</gpg.passphrase>
                <doReleaseTasks>true</doReleaseTasks>
                <distributionProfile>p4mavencentral</distributionProfile>
            </properties>
        </profile>
                
        <!-- Perforce dev release -->
        <profile>
            <id>development</id>
            <activation>
                <jdk>1.8</jdk>
            </activation>
            <repositories>
                <repository>
                    <id>perforce</id>
                    <name>Perforce</name>
                    <url>http://artifactory.bnr.perforce.com:8081/artifactory/snapshots/</url>
                    <layout>default</layout>
                </repository>
            </repositories>
        </profile> 
        
    </profiles>
    
   
You will also need to add these mirrors to your file:

    <mirrors>
        <mirror>
            <mirrorOf>com.perforce.*</mirrorOf>
            <name>release</name>
            <url>http://artifactory.bnr.perforce.com:8081/artifactory/release</url>
            <id>release</id>
        </mirror>
    </mirrors>

To run p4java locally run the command:

mvn -P development clean package

Alternativly to run the tests:

mvn -P development clean test